org.firebirdsql.jdbc.metadata

## Class GetSchemas

- java.lang.Object
- - org.firebirdsql.jdbc.metadata.GetSchemas

    public class GetSchemas
    extends java.lang.Object

Provides the implementation of `DatabaseMetaData.getSchemas(String, String)`.

Since:
  5
Author:
  Mark Rotteveel

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static GetSchemas` `create(DbMetadataMediator mediator)`
`java.sql.ResultSet` `getSchemas(java.lang.String schemaPattern)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getSchemas

    public java.sql.ResultSet getSchemas(java.lang.String schemaPattern)
                                  throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### create

    public static GetSchemas create(DbMetadataMediator mediator)